import { default as React } from 'react';

export type SiteAccessConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Site Access Configuration surface. This component will
 * take care of styling your component so it looks good in the **Site Configuration > Access & security** section in the Netlify UI.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.SiteAccessConfiguration
 * @example
 * ```tsx
 * import { SiteAccessConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <SiteAccessConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </SiteAccessConfigurationSurface>
 * ```
 */
export declare const SiteAccessConfigurationSurface: ({ className, children, ...otherProps }: SiteAccessConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=SiteAccessConfigurationSurface.d.ts.map