import { default as React } from 'react';

export type TeamConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Team Configuration surface. This component will take care
 * of styling your component so it looks good on your extension’s details page in the Netlify UI,
 * under **Extensions > [your extension’s details page] > Configuration**.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.TeamConfiguration
 * @example
 * ```tsx
 * import { TeamConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <TeamConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </TeamConfigurationSurface>
 * ```
 */
export declare const TeamConfigurationSurface: ({ className, children, ...otherProps }: TeamConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=TeamConfigurationSurface.d.ts.map