import { jsx, Fragment } from "react/jsx-runtime";
import { useEffect } from "react";
import { useNetlifySDK } from "../use_netlify_sdk.js";
const THEME_DARK_MODE_CLASS = "tw-dark";
var ThemePreference = /* @__PURE__ */ ((ThemePreference2) => {
  ThemePreference2["Light"] = "light";
  ThemePreference2["Dark"] = "dark";
  return ThemePreference2;
})(ThemePreference || {});
const Theme = ({ children }) => {
  const sdk = useNetlifySDK();
  useEffect(() => {
    if (sdk.context.theme === "dark") {
      document.documentElement.classList.add(THEME_DARK_MODE_CLASS);
    } else {
      document.documentElement.classList.remove(THEME_DARK_MODE_CLASS);
    }
  }, [sdk.context.theme]);
  return /* @__PURE__ */ jsx(Fragment, { children });
};
export {
  THEME_DARK_MODE_CLASS,
  Theme,
  ThemePreference
};
//# sourceMappingURL=Theme.js.map
