function escapeStringRegexp(string) {
  if (typeof string !== "string") {
    throw new TypeError("Expected a string");
  }
  return string.replace(/[|\\{}()[\]^$+*?.]/g, "\\$&").replace(/-/g, "\\x2d");
}
const watchPackages = (packageNames) => {
  return {
    name: "vite-plugin-watch-packages",
    configureServer: (server) => {
      server.watcher.options = {
        ...server.watcher.options,
        ignored: [
          ...server.watcher.options.ignored !== void 0 ? Array.isArray(server.watcher.options.ignored) ? server.watcher.options.ignored : [server.watcher.options.ignored] : [],
          ...packageNames.map(
            (packageName) => new RegExp(`node_modules/${escapeStringRegexp(packageName)}.*`)
          )
        ]
      };
    }
  };
};
export {
  watchPackages
};
//# sourceMappingURL=vite_plugin_watch_packages.js.map
